# norootforbuild
%define pkg_name    xcache
%define php_version %(php-config --version 2>/dev/null)
#
Name:		php5-xcache
Version:	3.2.0
Release:	3.5
License:	BSD 
Group:		Productivity/Networking/Web/Servers
BuildRoot:	%{_tmppath}/%{name}-%{version}-build
BuildRequires:	php5-devel >= 5.1 indent
Requires:	php5 = %{php_version} 
Provides:	php5_code_cache
Conflicts:	php5-APC php5-eaccelerator
%if 0%{?suse_version} > 1000
Enhances:	php5
%endif
#
URL:		http://xcache.lighttpd.net/
Source:		http://xcache.lighttpd.net/pub/Releases/%{version}/%{pkg_name}-%{version}.tar.bz2
Patch0:		xcache-broken-%{version}.ini.patch
#
Summary: A fast, stable php opcode cacher

%description
XCache is a fast, stable php opcode cacher that has been tested and now running
on production server under high load. It support and is tested on all lastest
php cvs branches, such as PHP_4_3 PHP_4_4 PHP_5_1 PHP_5_2 PHP_5_3 PHP_5_4 HEAD(6.x)


Authors:
---------
    moo <phpxcache@gmail.com>

%prep
%setup -q -n %{pkg_name}-%{version}
%patch0

%{__mkdir} %{name}

%build
/usr/bin/phpize

CFLAGS="%{optflags} -fno-strict-aliasing"
%if 0%{?suse_version} > 1000
CFLAGS="$CFLAGS -fstack-protector"
%endif

export CFLAGS

./configure \
    --enable-xcache \
    --enable-xcache-coverager
%{__make} %{?jobs:-j%jobs}

%install
%__make install INSTALL_ROOT=%{buildroot}
%{__install} -D  -m 0644 xcache.ini %{buildroot}%{_sysconfdir}/php5/conf.d/xcache.ini
%{__install} -Dd -m 0755 %{buildroot}%{_datadir}/php5/xcache/
touch htdocs/{,coverager}/config.php
%{__cp} -rv htdocs/* %{buildroot}%{_datadir}/php5/xcache/

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(644,root,root,755)
%{_libdir}/php5/extensions/xcache.so
%config(noreplace) %{_sysconfdir}/php5/conf.d/xcache.ini
%dir %{_datadir}/php5/xcache/
%dir %{_datadir}/php5/xcache/cacher
%dir %{_datadir}/php5/xcache/cacher/lang
%dir %{_datadir}/php5/xcache/cacher/sub
%dir %{_datadir}/php5/xcache/common
%dir %{_datadir}/php5/xcache/common/lang
%dir %{_datadir}/php5/xcache/coverager
%dir %{_datadir}/php5/xcache/coverager/lang
%dir %{_datadir}/php5/xcache/diagnosis
%dir %{_datadir}/php5/xcache/diagnosis/lang
%ghost %config(noreplace) %{_datadir}/php5/xcache/config.php
%ghost %config(noreplace) %{_datadir}/php5/xcache/coverager/config.php
%{_datadir}/php5/xcache/config.example.php                                                                     
%{_datadir}/php5/xcache/diagnosis/lang/zh-tranditional.php                                                     
%{_datadir}/php5/xcache/diagnosis/lang/zh-traditional.po                                                       
%{_datadir}/php5/xcache/diagnosis/lang/zh-simplified.po                                                        
%{_datadir}/php5/xcache/diagnosis/lang/zh-traditional.php                                                      
%{_datadir}/php5/xcache/diagnosis/lang/zh-simplified.php                                                       
%{_datadir}/php5/xcache/diagnosis/lang/en.po                                                                   
%{_datadir}/php5/xcache/diagnosis/lang/en.php                                                                  
%{_datadir}/php5/xcache/diagnosis/diagnosis.css                                                                
%{_datadir}/php5/xcache/diagnosis/diagnosis.tpl.php                                                            
%{_datadir}/php5/xcache/diagnosis/index.php                                                                    
%{_datadir}/php5/xcache/config.default.php                                                                     
%{_datadir}/php5/xcache/cacher/edit.php                                                                        
%{_datadir}/php5/xcache/cacher/lang/zh-traditional.po                                                          
%{_datadir}/php5/xcache/cacher/lang/zh-simplified.po                                                           
%{_datadir}/php5/xcache/cacher/lang/zh-traditional.php                                                         
%{_datadir}/php5/xcache/cacher/lang/zh-simplified.php                                                          
%{_datadir}/php5/xcache/cacher/lang/en.po                                                                      
%{_datadir}/php5/xcache/cacher/lang/en.php                                                                     
%{_datadir}/php5/xcache/cacher/common.php                                                                      
%{_datadir}/php5/xcache/cacher/config.example.php
%{_datadir}/php5/xcache/cacher/config.default.php
%{_datadir}/php5/xcache/cacher/edit.tpl.php
%{_datadir}/php5/xcache/cacher/cacher.css
%{_datadir}/php5/xcache/cacher/summary.tpl.php
%{_datadir}/php5/xcache/common/tablesort.js
%{_datadir}/php5/xcache/cacher/index.php
%{_datadir}/php5/xcache/cacher/mkpassword.php
%{_datadir}/php5/xcache/cacher/sub/testcoredump.tpl.php
%{_datadir}/php5/xcache/cacher/sub/entrylist.tpl.php
%{_datadir}/php5/xcache/cacher/sub/summary.tpl.php
%{_datadir}/php5/xcache/cacher/sub/moduleinfo.tpl.php
%{_datadir}/php5/xcache/cacher/listentries.tpl.php
%{_datadir}/php5/xcache/common/common.css
%{_datadir}/php5/xcache/common/lang/zh-traditional.po
%{_datadir}/php5/xcache/common/lang/zh-simplified.po
%{_datadir}/php5/xcache/common/lang/zh-traditional.php
%{_datadir}/php5/xcache/common/lang/zh-simplified.php
%{_datadir}/php5/xcache/common/lang/en.po
%{_datadir}/php5/xcache/common/lang/en.php
%{_datadir}/php5/xcache/common/xcache.png
%{_datadir}/php5/xcache/common/common.php
%{_datadir}/php5/xcache/common/header.tpl.php
%{_datadir}/php5/xcache/common/footer.tpl.php
%{_datadir}/php5/xcache/index.php
%{_datadir}/php5/xcache/coverager/lang/zh-traditional.po
%{_datadir}/php5/xcache/coverager/lang/zh-simplified.po
%{_datadir}/php5/xcache/coverager/lang/zh-traditional.php
%{_datadir}/php5/xcache/coverager/lang/zh-simplified.php
%{_datadir}/php5/xcache/coverager/lang/en.po
%{_datadir}/php5/xcache/coverager/lang/en.php
%{_datadir}/php5/xcache/coverager/common.php
%{_datadir}/php5/xcache/coverager/config.example.php
%{_datadir}/php5/xcache/coverager/config.default.php
%{_datadir}/php5/xcache/coverager/index.php
%{_datadir}/php5/xcache/coverager/coverager.css
%{_datadir}/php5/xcache/coverager/coverager.tpl.php
%doc AUTHORS COPYING NEWS THANKS

%changelog
* Fri Apr 10 2015 cs@linux-administrator.com
- update to release 3.2.0
* Thu Jun 20 2013 cs@linux-administrator.com
- update to release 3.0.3
* Sun Jan 13 2013 cs@linux-administrator.com
- update to release 3.0.1
* Sun Nov 18 2012 cs@linux-administrator.com
- update to release 3.0.0
* Sat Dec 29 2007 crrodriguez@suse.de
- update to version 1.2.2, only minor bugfixes
* Mon Oct 22 2007 crrodriguez@suse.de
- update to current STABLE snapshot
* Mon Jul  2 2007 judas_iscariote@shorewall.net
- update snapshot (identical to 1.2.1 stable release)
* Thu Jun 14 2007 judas_iscariote@shorewall.net
- update snapshot (equivalent to xcache 1.2.1rc1)
* Wed May 23 2007 judas_iscariote@shorewall.net
- update STABLE snapshot
* Sun Apr 29 2007 judas_iscariote@shorewall.net
- update to current STABLE svn branch, fixing some bugs and adding a tiny feature
  needed for symfony to work with XCache
